Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.beans
Interface IVetoableChange

All Known Implementing Classes:
  FButton, FCheckBox, FCheckBoxMenuItem, FComboBox, FEditorPane, FInternalFrame, FLabel, FList, FMenu, FMenuBar, FMenuItem, FPanel, FPasswordField, FPopupMenu, FRadioButton, FRadioButtonMenuItem, FTable, FTextArea, FTextField, FTextPane, FToggleButton, FToolBar, FTree

public interface IVetoableChange

Interface fuer VetoableChangeEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer VetoableChangeEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addVetoableChangeListener(VetoableChangeListener listener)` Fuegt dem Control den uebergebenen Listener als VetoableChangeListener hinzu.
`String` | `getActionClassForVetoableChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.
`void` | `removeVetoableChangeListener(VetoableChangeListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForVetoableChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

Method Detail

### getActionClassForVetoableChange

    public String getActionClassForVetoableChange()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer VetoableChangeEvents.

### setActionClassForVetoableChange

    public void setActionClassForVetoableChange(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein VetoableChangeEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer VetoableChangeEvent.

### addVetoableChangeListener

    public void addVetoableChangeListener(VetoableChangeListener listener)

  Fuegt dem Control den uebergebenen Listener als VetoableChangeListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende VetoableChangeListener.

### removeVetoableChangeListener

    public void removeVetoableChangeListener(VetoableChangeListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD